Bug 517543 - AVC messages (nsplugin_rw_t)
Summary: AVC messages (nsplugin_rw_t)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: prelink
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-14 14:31 UTC by Tim Waugh
Modified: 2010-12-05 06:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:36:25 UTC


Attachments (Terms of Use)

Description Tim Waugh 2009-08-14 14:31:09 UTC
Description of problem:
node=worm.elk type=AVC msg=audit(1250259897.884:28205): avc: denied { read } for pid=9654 comm="prelink" name="nswrapper_32_32.libflashplayer.so" dev=dm-1 ino=12774 scontext=system_u:system_r:prelink_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:nsplugin_rw_t:s0 tclass=file 

node=worm.elk type=AVC msg=audit(1250259897.884:28205): avc: denied { open } for pid=9654 comm="prelink" name="nswrapper_32_32.libflashplayer.so" dev=dm-1 ino=12774 scontext=system_u:system_r:prelink_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:nsplugin_rw_t:s0 tclass=file 

node=worm.elk type=SYSCALL msg=audit(1250259897.884:28205): arch=c000003e syscall=2 success=yes exit=0 a0=24daba0 a1=0 a2=0 a3=100 items=0 ppid=9646 pid=9654 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=2 comm="prelink" exe="/usr/sbin/prelink" subj=system_u:system_r:prelink_t:s0-s0:c0.c1023 key=(null) 

Version-Release number of selected component (if applicable):
prelink-0.4.2-2.fc12.x86_64
selinux-policy-targeted-3.6.26-11.fc12.noarch

Additional info:
Should these be 'dontaudit'?

Comment 1 Bug Zapper 2009-11-16 11:27:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Riku Seppala 2009-12-14 17:20:47 UTC
Is this same?



Summary:

SELinux is preventing /bin/bash "write" access to /var/lib/misc/prelink.quick.

Detailed Description:

[prelink has a permissive type (prelink_cron_system_t). This access was not
denied.]

SELinux denied access requested by prelink. /var/lib/misc/prelink.quick may be a
mislabeled. /var/lib/misc/prelink.quick default SELinux type is
prelink_var_lib_t, but its current type is cron_var_lib_t. Changing this file
back to the default type, may fix your problem.

File contexts can be assigned to a file in the following ways.

  * Files created in a directory receive the file context of the parent
    directory by default.
  * The SELinux policy might override the default label inherited from the
    parent directory by specifying a process running in context A which creates
    a file in a directory labeled B will instead create the file with label C.
    An example of this would be the dhcp client running with the dhclient_t type
    and creating a file in the directory /etc. This file would normally receive
    the etc_t type due to parental inheritance but instead the file is labeled
    with the net_conf_t type because the SELinux policy specifies this.
  * Users can change the file context on a file using tools such as chcon, or
    restorecon.

This file could have been mislabeled either by user error, or if an normally
confined application was run under the wrong domain.

However, this might also indicate a bug in SELinux because the file should not
have been labeled with this type.

If you believe this is a bug, please file a bug report against this package.

Allowing Access:

You can restore the default system context to this file by executing the
restorecon command. restorecon '/var/lib/misc/prelink.quick', if this file is a
directory, you can recursively restore using restorecon -R
'/var/lib/misc/prelink.quick'.

Fix Command:

/sbin/restorecon '/var/lib/misc/prelink.quick'

Additional Information:

Source Context                system_u:system_r:prelink_cron_system_t:s0-s0:c0.c
                              1023
Target Context                system_u:object_r:cron_var_lib_t:s0
Target Objects                /var/lib/misc/prelink.quick [ file ]
Source                        prelink
Source Path                   /bin/bash
Port                          <Unknown>
Host                          localhost.localdomain
Source RPM Packages           bash-4.0.33-1.fc12
Target RPM Packages           prelink-0.4.2-4.fc12
Policy RPM                    selinux-policy-3.6.32-55.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   restorecon
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain
                              2.6.31.6-166.fc12.x86_64 #1 SMP Wed Dec 9 10:46:22
                              EST 2009 x86_64 x86_64
Alert Count                   8
First Seen                    Fri 11 Dec 2009 06:08:15 PM EET
Last Seen                     Mon 14 Dec 2009 07:13:05 PM EET
Local ID                      4fec334a-6f6c-421b-871d-0c09d10e447a
Line Numbers                  

Raw Audit Messages            

node=localhost.localdomain type=AVC msg=audit(1260810785.2:20): avc:  denied  { write } for  pid=2497 comm="prelink" name="prelink.quick" dev=dm-0 ino=91298 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cron_var_lib_t:s0 tclass=file

node=localhost.localdomain type=AVC msg=audit(1260810785.2:20): avc:  denied  { open } for  pid=2497 comm="prelink" name="prelink.quick" dev=dm-0 ino=91298 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cron_var_lib_t:s0 tclass=file

node=localhost.localdomain type=SYSCALL msg=audit(1260810785.2:20): arch=c000003e syscall=2 success=yes exit=128 a0=120d8e0 a1=241 a2=1b6 a3=0 items=0 ppid=2489 pid=2497 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=2 comm="prelink" exe="/bin/bash" subj=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 key=(null)

Comment 3 Ben Webb 2009-12-17 15:27:10 UTC
On my F12 system, I also see AVCs every time prelink runs from cron.daily. Here are the logs from the last two runs:

Dec 16 03:46:05 clarinet kernel: type=1400 audit(1260963965.236:31325): avc:  denied  { getattr } for  pid=302 comm="find" path="/var/lib/misc/prelink.full" dev=sda3 ino=1474 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cron_var_lib_t:s0 tclass=file
Dec 16 03:46:05 clarinet kernel: type=1400 audit(1260963965.238:31326): avc:  denied  { write } for  pid=303 comm="prelink" name="prelink.full" dev=sda3 ino=1474 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cron_var_lib_t:s0 tclass=file
Dec 16 03:46:05 clarinet kernel: type=1400 audit(1260963965.238:31327): avc:  denied  { open } for  pid=303 comm="prelink" name="prelink.full" dev=sda3 ino=1474 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cron_var_lib_t:s0 tclass=file
Dec 16 03:46:05 clarinet kernel: type=1400 audit(1260963965.240:31328): avc:  denied  { read } for  pid=304 comm="cp" name="prelink.full" dev=sda3 ino=1474 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cron_var_lib_t:s0 tclass=file
Dec 16 03:46:05 clarinet kernel: type=1400 audit(1260963965.240:31329): avc:  denied  { relabelfrom } for  pid=304 comm="cp" name="prelink.quick" dev=sda3 ino=6503 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cron_var_lib_t:s0 tclass=file
Dec 16 03:46:05 clarinet kernel: type=1400 audit(1260963965.240:31330): avc:  denied  { relabelto } for  pid=304 comm="cp" name="prelink.quick" dev=sda3 ino=6503 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cron_var_lib_t:s0 tclass=file
Dec 16 03:46:05 clarinet kernel: type=1400 audit(1260963965.241:31331): avc:  denied  { setattr } for  pid=304 comm="cp" name="prelink.quick" dev=sda3 ino=6503 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cron_var_lib_t:s0 tclass=file
Dec 17 04:36:04 clarinet kernel: type=1400 audit(1261053364.756:31333): avc:  denied  { getattr } for  pid=20259 comm="find" path="/var/lib/misc/prelink.full" dev=sda3 ino=1474 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cron_var_lib_t:s0 tclass=file
Dec 17 04:36:04 clarinet kernel: type=1400 audit(1261053364.759:31334): avc:  denied  { write } for  pid=20262 comm="prelink" name="prelink.quick" dev=sda3 ino=6503 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cron_var_lib_t:s0 tclass=file
Dec 17 04:36:04 clarinet kernel: type=1400 audit(1261053364.759:31335): avc:  denied  { open } for  pid=20262 comm="prelink" name="prelink.quick" dev=sda3 ino=6503 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cron_var_lib_t:s0 tclass=file

Comment 4 Bug Zapper 2010-11-04 10:29:53 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-12-05 06:36:25 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.